
import java.io.*;
import javax.swing.*;

public class OpenSession extends NewSession
{
	private void parseFilesHint(String lineStr) throws IOException
	{
		StreamTokenizer tokenizer
			= new StreamTokenizer(
				new StringReader(lineStr));

		tokenizer.nextToken();
		if (tokenizer.nextToken() != StreamTokenizer.TT_NUMBER)
			return;
		filesNum = (int)tokenizer.nval;
	}

	void processHint(String str)
	{
		try
		{
			if (str.startsWith("rank"))
				parseRankHint(str);
			else
			if (str.startsWith("files"))
				parseFilesHint(str);
		}
		catch (IOException e)
		{
		}
	}

	public void run()
	{
		run("openSession", "titleOpenSession", "openSession");
		super.run();
	}
}

